<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
ActiveTransaction Members
ActiveTransaction Class Methods Properties See Also Send Feedback

The ActiveTransaction type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Begun | The current log sequence number when the transaction was begun.
| BufferCopiesInCache | The number of MVCC buffer copies created by this transaction that remains in the cache.
| GlobalID | If the transaction is a prepared transaction, return the transaction's Global ID. Otherwise, the GlobalID contents are undefined.
| ID | The transaction ID of the transaction.
| Name | If a name was specified for the transaction, return up to the first 50 bytes of that name.
| ParentID | The transaction ID of the parent transaction (or 0, if no parent).
| Priority | Assigned priority used when resolving deadlocks.
| ProcessID | The process ID of the originator of the transaction.
| SnapshotReads | The log sequence number of reads for snapshot transactions.
| ThreadID | The thread of control ID of the originator of the transaction.

# See Also

ActiveTransaction Class
BerkeleyDB Namespace